/*
 * This file and its contents are supplied under the terms of the
 * Common Development and Distribution License ("CDDL"), version 1.0.
 * You may only use this file in accordance with the terms of version
 * 1.0 of the CDDL.
 *
 * A full copy of the text of the CDDL should have accompanied this
 * source.  A copy of the CDDL is also available via the Internet at
 * http://www.illumos.org/license/CDDL.
 */

/*
 * Copyright 2013 Damian Bogel. All rights reserved.
 */

/*
 * Command used to control the fsd pseudo-device driver.
 */


#include <errno.h>
#include <fcntl.h>
#include <libfsd.h>
#include <stdio.h>
#include <string.h>
#include <stropts.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>

/*
 * TODO
 * - lint says that that fsd_open() is used but not defined
 * - print proper error message
 */

int
main(int argc, char *argv[])
{
	int fd;
	if (argc != 2) {
		(void) fprintf(stderr, "Usage: %s message\n", argv[0]);
		return (EINVAL);
	}

	fd = fsd_open();
	if (fd == INVALID_FSD_HANDLE) {
		(void) fprintf(stderr, "Error: Something gone wrong.");
		return (-1); /* TODO */
	}
	fsd_print_msg(argv[1], fd);
	fsd_close(fd);
	return (0);
}
